extractr docs
Resident Advisor

Popular venues in an area

GET
/ra/popular_venues

The most popular clubs in an RA area, ranked.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

area_id?integer|null
page?integer
Range1 <= value
Default1
page_size?integer
Range1 <= value <= 50
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ra/popular_venues"
{  "area_id": "string",  "venues": [    {      "id": "1746",      "name": "fabric",      "address": "77a Charterhouse St, London EC1M 6HJ",      "blurb": "string",      "live": true,      "logo_url": "http://example.com",      "photo": "http://example.com",      "area": {        "id": "13",        "name": "London",        "url_name": "uk/london",        "country": {          "id": "3",          "name": "United Kingdom",          "iso_code": "GB",          "top_country": true        },        "timezone": "Europe/London",        "location": {          "lat": 51.5074,          "lng": -0.1278        }      },      "url": "https://ra.co/clubs/1746"    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}